/**
 * XDocumentSubstanceMood2.java
 *
 * File generated from the medication2::XDocumentSubstanceMood2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentSubstanceMood2.
 *
 * 
 */

@XmlType(name = "XDocumentSubstanceMood")
@XmlEnum
@XmlRootElement(name = "XDocumentSubstanceMood2")
public enum XDocumentSubstanceMood2 {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XDocumentSubstanceMood2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XDocumentSubstanceMood2 fromValue(String v) {
        for (XDocumentSubstanceMood2 c: XDocumentSubstanceMood2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
